org.eclipse.jetty.annotations

## Class WebServletAnnotation

- java.lang.Object
- - org.eclipse.jetty.webapp.DiscoveredAnnotation
  - - org.eclipse.jetty.annotations.WebServletAnnotation

-     public class WebServletAnnotation
      extends DiscoveredAnnotation

  WebServletAnnotation

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.webapp.DiscoveredAnnotation

      `_className, _clazz, _context, _resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServletAnnotation(WebAppContext context, String className)`
    `WebServletAnnotation(WebAppContext context, String className, Resource resource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply()`

    - ### Methods inherited from class org.eclipse.jetty.webapp.DiscoveredAnnotation

      `getResource, getTargetClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebServletAnnotation

          public WebServletAnnotation(WebAppContext context,
                              String className)

    - #### WebServletAnnotation

          public WebServletAnnotation(WebAppContext context,
                              String className,
                              Resource resource)

  - ### Method Detail

    - #### apply

          public void apply()

      Specified by:
        `apply` in class `DiscoveredAnnotation`
      See Also:
        `ClassAnnotation`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.